<div class="signup auth card">
  <div class="logo" [inlineSVG]="'assets/svg/proxigram_logo.svg'" alt=""></div>
  <div class="title">Sign up to Pixorax</div>
  <form novalidate="" [formGroup]="form" (ngSubmit)="onSignUp(form)" class="form">
    <input type="text" class="input" placeholder="First Name" formControlName="fname" />
    <div class="alert-danger" *ngIf="
        (!form.get('fname').valid && form.get('fname').touched) || (form.get('fname').untouched && formSubmitAttempt)
      ">
      This field is required!
    </div>
    <input type="text" class="input" placeholder="Last Name" formControlName="lname" />
    <div class="alert-danger" *ngIf="
        (!form.get('lname').valid && form.get('lname').touched) || (form.get('lname').untouched && formSubmitAttempt)
      ">
      This field is required!
    </div>
    <input type="email" class="input" placeholder="Email" formControlName="email" />
    <div class="alert-danger" *ngIf="
        (!form.get('email').valid && form.get('email').touched) || (form.get('email').untouched && formSubmitAttempt)
      ">
      This is not a valid email address!
    </div>
    <input type="text" class="input" placeholder="Username" formControlName="username" />
    <div class="alert-danger" *ngIf="
        (!form.get('username').valid && form.get('username').touched) || (form.get('username').untouched && formSubmitAttempt)
      ">
      This field is required!
    </div>
    <input type="password" class="input" placeholder="Password" formControlName="password" />
    <div class="alert-danger" *ngIf="
        (!form.get('password').valid && form.get('password').touched) ||
        (form.get('password').untouched && formSubmitAttempt)
      ">
      Password must be at least 8 characters!
    </div>
    <input type="password" class="input" placeholder="Confirm Password" formControlName="confirm_password" />
    <div class="alert-danger" *ngIf="
        (!form.get('confirm_password').valid && form.get('confirm_password').touched) ||
        (form.get('confirm_password').untouched && formSubmitAttempt)
      ">
      Password do not match!
    </div>
    <ng-select placeholder="-- Select Country --" class="input custom" [items]="countries$ | async"
      bindLabel="country_name" bindValue="id" formControlName="country_id"></ng-select>
    <div class="alert-danger" *ngIf="
        (!form.get('country_id').valid && form.get('country_id').touched) ||
        (form.get('country_id').untouched && formSubmitAttempt)
      ">
      This field is required!
    </div>
    <button type="submit" class="primary button" [disabled]="!getSubmitButton()">
      Sign up
    </button>
    <a class="login-link" [routerLink]="['/login']">Already have an account?</a>
    <div class="terms">
      By continuing, you agree to our
      <br />
      <span class="emphasize">Terms of Service</span>
      and
      <span class="emphasize">Privacy Policy</span>
    </div>
  </form>
</div>
